# NM_Set_Class_Relevance_Advisory_Switch Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Set_Class_Relevance_Advisory_Switch:

[legend]

List of all members.

## Public Types
typedef NetworkMessage | Super
## Public Member Functions
| NM_Set_Class_Relevance_Advisory_Switch ()
virtual | ~NM_Set_Class_Relevance_Advisory_Switch ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
void | classRelevanceAdvisorySwitchOn ()
void | classRelevanceAdvisorySwitchOff ()
bool | getClassRelevanceAdvisorySwitch ()
## Protected Attributes
bool | classRelevanceAdvisorySwitch

## Detailed Description

Definition at line 312 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NetworkMessage Super

Definition at line 314 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Set_Class_Relevance_Advisory_Switch | ( |  | ) |

Definition at line 622 of file NM_Classes.cc.

References NM_Set_Class_Relevance_Advisory_Switch::classRelevanceAdvisorySwitch, NetworkMessage::name, NetworkMessage::SET_CLASS_RELEVANCE_ADVISORY_SWITCH, and NetworkMessage::type.

~NM_Set_Class_Relevance_Advisory_Switch | ( |  | ) | `[virtual]`

Definition at line 628 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NetworkMessage.

Definition at line 630 of file NM_Classes.cc.

References NM_Set_Class_Relevance_Advisory_Switch::classRelevanceAdvisorySwitch, NetworkMessage::serialize(), and MessageBuffer::write_bool().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NetworkMessage.

Definition at line 636 of file NM_Classes.cc.

References NM_Set_Class_Relevance_Advisory_Switch::classRelevanceAdvisorySwitch, NetworkMessage::deserialize(), and MessageBuffer::read_bool().

Here is the call graph for this function:

void classRelevanceAdvisorySwitchOn | ( |  | ) | `[inline]`

Definition at line 320 of file NM_Classes.hh.

Referenced by DeclarationManagement::setClassRelevanceAdvisorySwitch().

void classRelevanceAdvisorySwitchOff | ( |  | ) | `[inline]`

Definition at line 321 of file NM_Classes.hh.

Referenced by DeclarationManagement::setClassRelevanceAdvisorySwitch().

bool getClassRelevanceAdvisorySwitch | ( |  | ) | `[inline]`

Definition at line 322 of file NM_Classes.hh.

Referenced by RTIG::processSetClassRelevanceAdvisorySwitch().

## Member Data Documentation

bool classRelevanceAdvisorySwitch`[protected]`

Definition at line 322 of file NM_Classes.hh.

Referenced by NM_Set_Class_Relevance_Advisory_Switch::deserialize(), NM_Set_Class_Relevance_Advisory_Switch::NM_Set_Class_Relevance_Advisory_Switch(), and NM_Set_Class_Relevance_Advisory_Switch::serialize().

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc